rgl.attrib.info {rgl} | R Documentation

## Get information about attributes of objects

### Description

These functions give information about the attributes of rgl objects. `rgl.attrib.info` is the more “user-friendly” function; `rgl.attrib.count` is a lower-level function more likely to be used in programming.

### Usage

    rgl.attrib.info(id = rgl.ids("all", 0)$id, attribs = NULL, showAll = FALSE)
    rgl.attrib.count(id, attrib)

### Arguments

`id` | One or more rgl object ids.
`attribs` | A character vector of one or more attribute names.
`showAll` | Should attributes with zero entries be shown?
`attrib` | A single attribute name.

### Details

See the first example below to get the full list of attribute names.

### Value

A dataframe containing the following columns:

`id` | The id of the object.
`attrib` | The full name of the attribute.
`nrow, ncol` | The size of matrix that would be returned by `rgl.attrib` for this attribute.

### Author(s)

Duncan Murdoch

### See Also

`rgl.attrib` to obtain the attribute values.

### Examples

    open3d()
    id <- points3d(rnorm(100), rnorm(100), rnorm(100), col = "green")
    rgl.attrib.info(id, showAll = TRUE)
    rgl.attrib.count(id, "vertices")

    merge(rgl.attrib.info(), rgl.ids("all"))

[Package rgl version 0.98.1 Index]